/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.dto.project;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 需求信息表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-10-13 15:25:43  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "需求信息表")
public class CpDemandPlan extends TenantPartition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_name = "name";
  public static final String KEY_demandNum = "demandNum";
  public static final String KEY_memo = "memo";
  public static final String KEY_demandType = "demandType";
  public static final String KEY_sourceType = "sourceType";
  public static final String KEY_deleted = "deleted";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_tenantId = "tenantId";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 需求名称<br>
   */
  @ApiModelProperty("需求名称")
  @Size(max = 500, message="需求名称-name: 数据长度不能 > 500" )
  private String name;
  /**
   * 需求编号<br>
   */
  @ApiModelProperty("需求编号")
  @Size(max = 50, message="需求编号-demandNum: 数据长度不能 > 50" )
  private String demandNum;
  /**
   * 需求描述<br>
   */
  @ApiModelProperty("需求描述")
  private String memo;
  /**
   * 需求类型<br>
   */
  @ApiModelProperty("需求类型")
  @Size(max = 20, message="需求类型-demandType: 数据长度不能 > 20" )
  private String demandType;
  /**
   * 需求来源（1-手动）<br>
   */
  @ApiModelProperty("需求来源（1-手动）")
  @Size(max = 2, message="需求来源（1-手动）-sourceType: 数据长度不能 > 2" )
  private String sourceType;
  /**
   * 删除标识符<br>
   */
  @ApiModelProperty("删除标识符")
  private Boolean deleted;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 修改人<br>
   */
  @ApiModelProperty("修改人")
  @Size(max = 32, message="修改人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 修改时间<br>
   */
  @ApiModelProperty("修改时间")
  private Date updatedTime;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 项目名称<br>
   */
  public String getName()
  {
      return name;
    }

  /**
   * 项目名称<br>
   *
   * @param name 项目名称
   */
  public void setName(String name)
  {
      this.name = name;
    }
  /**
   * 需求编号<br>
   */
  public String getDemandNum()
  {
      return demandNum;
    }

  /**
   * 需求编号<br>
   *
   * @param demandNum 需求编号
   */
  public void setDemandNum(String demandNum)
  {
      this.demandNum = demandNum;
    }
  /**
   * 需求描述<br>
   */
  public String getMemo()
  {
      return memo;
    }

  /**
   * 需求描述<br>
   *
   * @param memo 需求描述
   */
  public void setMemo(String memo)
  {
      this.memo = memo;
    }
  /**
   * 需求类型<br>
   */
  public String getDemandType()
  {
      return demandType;
    }

  /**
   * 需求类型<br>
   *
   * @param demandType 需求类型
   */
  public void setDemandType(String demandType)
  {
      this.demandType = demandType;
    }
  /**
   * 需求来源（1-手动）<br>
   */
  public String getSourceType()
  {
      return sourceType;
    }

  /**
   * 需求来源（1-手动）<br>
   *
   * @param sourceType 需求来源（1-手动）
   */
  public void setSourceType(String sourceType)
  {
      this.sourceType = sourceType;
    }
  /**
   * 删除标识符<br>
   */
  public Boolean getDeleted()
  {
      return deleted;
    }

  /**
   * 删除标识符<br>
   *
   * @param deleted 删除标识符
   */
  public void setDeleted(Boolean deleted)
  {
      this.deleted = deleted;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 修改人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 修改人<br>
   *
   * @param updatedBy 修改人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 修改时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 修改时间<br>
   *
   * @param updatedTime 修改时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public CpDemandPlan()
  {
  }

}
